# Approve (a person only) (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/approvals/approveApproval)

## POST /functions/v1/approvals/{approvalId}/approve

Approve (a person only)

A person of the company approves the call. Connections, API keys and the assistant are refused.

```json
{
  "operationId": "approveApproval",
  "parameters": [
    {
      "in": "path",
      "name": "approvalId",
      "schema": {
        "type": "string",
        "format": "uuid"
      },
      "required": true
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Approval"
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json